<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Kate</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>KateApp</name>
    <filename>classKateApp.html</filename>
    <member kind="function">
      <type></type>
      <name>KateApp</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KCmdLineArgs *args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateApp</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::Application *</type>
      <name>application</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>shutdownKate</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KateMainWindow *win)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>shouldExit</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KatePluginManager *</type>
      <name>pluginManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateDocManager *</type>
      <name>documentManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateSessionManager *</type>
      <name>sessionManager</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>newMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(KConfig *sconfig=0, const QString &amp;sgroup=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(KateMainWindow *mainWindow)</arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>activeMainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>mainWindows</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KateMainWindow *</type>
      <name>mainWindow</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(uint n)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;encoding)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setCursor</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(int line, int column)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openInput</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateApp *</type>
      <name>self</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>kateVersion</name>
      <anchorfile>classKateApp.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(bool fullVersion=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateConsole</name>
    <filename>classKateConsole.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotPipeToConsole</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateConsole</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateMainWindow *mw, KateMDI::ToolView *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateConsole</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cd</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendInput</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classKateConsole.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QShowEvent *ev)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalTool</name>
    <filename>classKateExternalTool.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalTool</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;command=QString::null, const QString &amp;icon=QString::null, const QString &amp;tryexec=QString::null, const QStringList &amp;mimetypes=QStringList(), const QString &amp;acname=QString::null, const QString &amp;cmdname=QString::null, int save=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;mimetype) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkExec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>command</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>tryexec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>mimetypes</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>hasexec</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>acname</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>cmdname</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>save</name>
      <anchorfile>classKateExternalTool.html</anchorfile>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolAction</name>
    <filename>classKateExternalToolAction.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolAction</name>
      <anchorfile>classKateExternalToolAction.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name, class KateExternalTool *t)</arglist>
    </member>
    <member kind="variable">
      <type>KateExternalTool *</type>
      <name>tool</name>
      <anchorfile>classKateExternalToolAction.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>expandMacro</name>
      <anchorfile>classKateExternalToolAction.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;str, QStringList &amp;ret)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsCommand</name>
    <filename>classKateExternalToolsCommand.html</filename>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>cmds</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>exec</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Kate::View *view, const QString &amp;cmd, QString &amp;msg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>help</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Kate::View *view, const QString &amp;cmd, QString &amp;msg)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateExternalToolsCommand *</type>
      <name>self</name>
      <anchorfile>classKateExternalToolsCommand.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsConfigWidget</name>
    <filename>classKateExternalToolsConfigWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolsConfigWidget</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>apply</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reload</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKateExternalToolsConfigWidget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolServiceEditor</name>
    <filename>classKateExternalToolServiceEditor.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolServiceEditor</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KateExternalTool *tool=0, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leName</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leExecutable</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leMimetypes</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>leCmdLine</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QTextEdit *</type>
      <name>teCommand</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KIconButton *</type>
      <name>btnIcon</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QComboBox *</type>
      <name>cmbSave</name>
      <anchorfile>classKateExternalToolServiceEditor.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateExternalToolsMenuAction</name>
    <filename>classKateExternalToolsMenuAction.html</filename>
    <member kind="function">
      <type></type>
      <name>KateExternalToolsMenuAction</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;text=QString::null, QObject *parent=0, const char *name=0, class KateMainWindow *mw=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KateExternalToolAction</name>
      <anchorfile>classKateExternalToolsMenuAction.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMailDialog</name>
    <filename>classKateMailDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KateMailDialog</name>
      <anchorfile>classKateMailDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, KateMainWindow *mainwin=0)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; Kate::Document &gt;</type>
      <name>selectedDocs</name>
      <anchorfile>classKateMailDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMwModOnHdDialog</name>
    <filename>classKateMwModOnHdDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KateMwModOnHdDialog</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(DocVector docs, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser1</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser2</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser3</name>
      <anchorfile>classKateMwModOnHdDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdebase-3.5.0/kate/app/</name>
    <path>/home/daniel/kdebase-3.5.0/kate/app/</path>
    <filename>dir_000003.html</filename>
    <file>kateapp.cpp</file>
    <file>kateapp.h</file>
    <file>kateappIface.cpp</file>
    <file>kateappIface.h</file>
    <file>kateconfigdialog.cpp</file>
    <file>kateconfigdialog.h</file>
    <file>kateconfigplugindialogpage.cpp</file>
    <file>kateconfigplugindialogpage.h</file>
    <file>kateconsole.cpp</file>
    <file>kateconsole.h</file>
    <file>katedocmanager.cpp</file>
    <file>katedocmanager.h</file>
    <file>katedocmanageriface.cpp</file>
    <file>katedocmanageriface.h</file>
    <file>kateexternaltools.cpp</file>
    <file>kateexternaltools.h</file>
    <file>katefilelist.cpp</file>
    <file>katefilelist.h</file>
    <file>katefileselector.cpp</file>
    <file>katefileselector.h</file>
    <file>kategrepdialog.cpp</file>
    <file>kategrepdialog.h</file>
    <file>katemailfilesdialog.cpp</file>
    <file>katemailfilesdialog.h</file>
    <file>katemain.cpp</file>
    <file>katemain.h</file>
    <file>katemainwindow.cpp</file>
    <file>katemainwindow.h</file>
    <file>katemainwindowiface.cpp</file>
    <file>katemainwindowiface.h</file>
    <file>katemdi.cpp</file>
    <file>katemdi.h</file>
    <file>katemwmodonhddialog.cpp</file>
    <file>katemwmodonhddialog.h</file>
    <file>katepluginmanager.cpp</file>
    <file>katepluginmanager.h</file>
    <file>katesavemodifieddialog.cpp</file>
    <file>katesavemodifieddialog.h</file>
    <file>katesession.cpp</file>
    <file>katesession.h</file>
    <file>katetabwidget.cpp</file>
    <file>katetabwidget.h</file>
    <file>kateviewmanager.cpp</file>
    <file>kateviewmanager.h</file>
    <file>kateviewspace.cpp</file>
    <file>kateviewspace.h</file>
    <file>kateviewspacecontainer.cpp</file>
    <file>kateviewspacecontainer.h</file>
    <file>kbookmarkhandler.cpp</file>
    <file>kbookmarkhandler.h</file>
    <file>kwritemain.cpp</file>
    <file>kwritemain.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdebase-3.5.0/kate/interfaces/</name>
    <path>/home/daniel/kdebase-3.5.0/kate/interfaces/</path>
    <filename>dir_000001.html</filename>
    <file>application.cpp</file>
    <file>application.h</file>
    <file>documentmanager.cpp</file>
    <file>documentmanager.h</file>
    <file>mainwindow.cpp</file>
    <file>mainwindow.h</file>
    <file>plugin.cpp</file>
    <file>plugin.h</file>
    <file>pluginconfiginterface.cpp</file>
    <file>pluginconfiginterface.h</file>
    <file>pluginconfiginterfaceextension.cpp</file>
    <file>pluginconfiginterfaceextension.h</file>
    <file>pluginmanager.cpp</file>
    <file>pluginmanager.h</file>
    <file>toolviewmanager.cpp</file>
    <file>toolviewmanager.h</file>
    <file>viewmanager.cpp</file>
    <file>viewmanager.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdebase-3.5.0/kate/</name>
    <path>/home/daniel/kdebase-3.5.0/kate/</path>
    <filename>dir_000000.html</filename>
    <dir>/home/daniel/kdebase-3.5.0/kate/app/</dir>
    <dir>/home/daniel/kdebase-3.5.0/kate/interfaces/</dir>
    <dir>/home/daniel/kdebase-3.5.0/kate/utils/</dir>
  </compound>
  <compound kind="dir">
    <name>/home/daniel/kdebase-3.5.0/kate/utils/</name>
    <path>/home/daniel/kdebase-3.5.0/kate/utils/</path>
    <filename>dir_000002.html</filename>
    <file>dockviewbase.cpp</file>
    <file>dockviewbase.h</file>
    <file>listboxview.cpp</file>
    <file>listboxview.h</file>
    <file>messageview.cpp</file>
    <file>messageview.h</file>
  </compound>
  <compound kind="namespace">
    <name>Kate</name>
    <filename>namespaceKate.html</filename>
    <class kind="class">Kate::Application</class>
    <class kind="class">Kate::DocumentManager</class>
    <class kind="class">Kate::PluginManager</class>
    <class kind="class">Kate::ToolViewManager</class>
    <class kind="class">Kate::ViewManager</class>
    <class kind="class">Kate::DockViewBase</class>
    <member kind="function">
      <type>Application *</type>
      <name>application</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DocumentManager *</type>
      <name>documentManager</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>createPlugin</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const char *libname, Application *application, const char *name, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>PluginViewInterface *</type>
      <name>pluginViewInterface</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>PluginConfigInterface *</type>
      <name>pluginConfigInterface</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>PluginConfigInterfaceExtension *</type>
      <name>pluginConfigInterfaceExtension</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::Application</name>
    <filename>classKate_1_1Application.html</filename>
    <member kind="function">
      <type></type>
      <name>Application</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *application)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Application</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::DocumentManager *</type>
      <name>documentManager</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::PluginManager *</type>
      <name>pluginManager</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::MainWindow *</type>
      <name>activeMainWindow</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>mainWindows</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kate::MainWindow *</type>
      <name>mainWindow</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateApplication</name>
      <anchorfile>classKate_1_1Application.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::DocumentManager</name>
    <filename>classKate_1_1DocumentManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>documentChanged</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentCreated</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(Kate::Document *document)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>documentDeleted</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DocumentManager</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *documentManager)</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>document</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>activeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>documentWithID</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>documents</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Document *</type>
      <name>openURL</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;encoding=QString::null, uint *id=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(class Document *document)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocument</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(uint n=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeDocumentWithID</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeAllDocuments</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateDocumentManager</name>
      <anchorfile>classKate_1_1DocumentManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::PluginManager</name>
    <filename>classKate_1_1PluginManager.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginManager</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *pluginManager)</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>pluginAvailable</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;name, bool permanent=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadPlugin</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;name, bool permanent=true)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivatePluginManager</name>
      <anchorfile>classKate_1_1PluginManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ToolViewManager</name>
    <filename>classKate_1_1ToolViewManager.html</filename>
    <member kind="enumeration">
      <name>Position</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ToolViewManager</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *toolViewManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ToolViewManager</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>createToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;identifier, ToolViewManager::Position pos, const QPixmap &amp;icon, const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>moveToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QWidget *widget, ToolViewManager::Position pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideToolView</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateToolViewManager</name>
      <anchorfile>classKate_1_1ToolViewManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::ViewManager</name>
    <filename>classKate_1_1ViewManager.html</filename>
    <member kind="slot">
      <type>Kate::View *</type>
      <name>activeView</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>activateView</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(uint documentNumber)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>openURL</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewChanged</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewManager</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(void *viewManager)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewManager</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PrivateViewManager</name>
      <anchorfile>classKate_1_1ViewManager.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::DockViewBase</name>
    <filename>classKate_1_1DockViewBase.html</filename>
    <member kind="function">
      <type></type>
      <name>DockViewBase</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DockViewBase</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;prefix, const QString &amp;title, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitlePrefix</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;prefix)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>titlePrefix</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;prefix, const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKate_1_1DockViewBase.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateMDI::Splitter</name>
    <filename>classKateMDI_1_1Splitter.html</filename>
    <member kind="function">
      <type></type>
      <name>Splitter</name>
      <anchorfile>classKateMDI_1_1Splitter.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Orientation o, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLastChild</name>
      <anchorfile>classKateMDI_1_1Splitter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QWidget *w) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>idAfter</name>
      <anchorfile>classKateMDI_1_1Splitter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QWidget *w) const </arglist>
    </member>
  </compound>
</tagfile>
